-- ENSPS - Igem project
-- Version 1
-- May 2011

-------------------------------
--       PATTERN FILE        --
--   Test Bench Genaration   --
-------------------------------
LIBRARY IEEE;
USE IEEE.STD_LOGIC_1164.ALL;
use work.biological_systems.all;
USE work.all;

ENTITY E_Half_adder IS
END ENTITY;


ARCHITECTURE Half_adder OF E_Half_adder IS

   -- Signals declaration
signal s_Erythromycin,s_Phloretin : std_logic := '0';
terminal Act_term : Act;
terminal Rep_term : Rep;
terminal CDbox_MS2box_DsRed_term : CDbox_MS2box_DsRed;
terminal TtgA1_term : TtgA1;
terminal CDbox_d2EYFP_term : CDbox_d2EYFP;
terminal L7Ae_term : L7Ae;
terminal MS2_term : MS2;
terminal DsRed_MS2_L7Ae_term : DsRed_MS2_L7Ae;
terminal Erythromycin_term : Erythromycin;
terminal ET1_term : ET1;
terminal MS2box_d2EYFP_term : MS2box_d2EYFP;
terminal Phloretin_term : Phloretin;
terminal d2EYFP_L7Ae_term : d2EYFP_L7Ae;
terminal d2EYFP_MS2_term : d2EYFP_MS2;
quantity CAct across FAct through Act_term to Act_cell;
quantity CRep across FRep through Rep_term to Rep_cell;
quantity CErythromycin across FErythromycin through Erythromycin_term to Erythromycin_cell;
quantity CPhloretin across FPhloretin through Phloretin_term to Phloretin_cell;
quantity CCDbox_d2EYFP across CDbox_d2EYFP_term to CDbox_d2EYFP_cell;
quantity CMS2box_d2EYFP across MS2box_d2EYFP_term to MS2box_d2EYFP_cell;
quantity Cd2EYFP : real;



BEGIN

  -- Mapping
E_DsRed_MS2_L7Ae_comp : entity DsRed_MS2_L7Ae_comp(conservative)				port map(
				CDbox_MS2box_DsRed_term => CDbox_MS2box_DsRed_term,
				L7Ae_term => L7Ae_term,
				MS2_term => MS2_term,
				Comp_term => DsRed_MS2_L7Ae_term);
E_DsRed_MS2_L7Ae_capacitor : entity DsRed_MS2_L7Ae_capacitor(conservative)				port map(
				a => DsRed_MS2_L7Ae_term,
				b => DsRed_MS2_L7Ae_CELL				);
E_d2EYFP_L7Ae_comp : entity d2EYFP_L7Ae_comp(conservative)				port map(
				CDbox_d2EYFP_term => CDbox_d2EYFP_term,
				L7Ae_term => L7Ae_term,
				Comp_term => d2EYFP_L7Ae_term);
E_d2EYFP_L7Ae_capacitor : entity d2EYFP_L7Ae_capacitor(conservative)				port map(
				a => d2EYFP_L7Ae_term,
				b => d2EYFP_L7Ae_CELL				);
E_d2EYFP_MS2_comp : entity d2EYFP_MS2_comp(conservative)				port map(
				MS2_term => MS2_term,
				MS2box_d2EYFP_term => MS2box_d2EYFP_term,
				Comp_term => d2EYFP_MS2_term);
E_d2EYFP_MS2_capacitor : entity d2EYFP_MS2_capacitor(conservative)				port map(
				a => d2EYFP_MS2_term,
				b => d2EYFP_MS2_CELL				);
E_CDbox_MS2box_DsRed_synth : entity CDbox_MS2box_DsRed_synth(conservative)				port map(
				Act_term => Act_term,
				Rep_term => Rep_term,
				Prot_term => CDbox_MS2box_DsRed_term);
E_CDbox_MS2box_DsRed_capacitor : entity CDbox_MS2box_DsRed_capacitor(conservative)				port map(
				a => CDbox_MS2box_DsRed_term,
				b => CDbox_MS2box_DsRed_CELL				);
E_CDbox_d2EYFP_synth : entity CDbox_d2EYFP_synth(conservative)				port map(
				TtgA1_term => TtgA1_term,
				Rep_term => Rep_term,
				Prot_term => CDbox_d2EYFP_term);
E_CDbox_d2EYFP_capacitor : entity CDbox_d2EYFP_capacitor(conservative)				port map(
				a => CDbox_d2EYFP_term,
				b => CDbox_d2EYFP_CELL				);
E_ET1_synth : entity ET1_synth(conservative)				port map(
				Act_term => Act_term,
				Erythromycin_term => Erythromycin_term,
				Prot_term => ET1_term);
E_ET1_capacitor : entity ET1_capacitor(conservative)				port map(
				a => ET1_term,
				b => ET1_CELL				);
E_L7Ae_synth : entity L7Ae_synth(conservative)				port map(
				ET1_term => ET1_term,
				Rep_term => Rep_term,
				Prot_term => L7Ae_term);
E_L7Ae_capacitor : entity L7Ae_capacitor(conservative)				port map(
				a => L7Ae_term,
				b => L7Ae_CELL				);
E_MS2_synth : entity MS2_synth(conservative)				port map(
				TtgA1_term => TtgA1_term,
				Rep_term => Rep_term,
				Prot_term => MS2_term);
E_MS2_capacitor : entity MS2_capacitor(conservative)				port map(
				a => MS2_term,
				b => MS2_CELL				);
E_MS2box_d2EYFP_synth : entity MS2box_d2EYFP_synth(conservative)				port map(
				ET1_term => ET1_term,
				Rep_term => Rep_term,
				Prot_term => MS2box_d2EYFP_term);
E_MS2box_d2EYFP_capacitor : entity MS2box_d2EYFP_capacitor(conservative)				port map(
				a => MS2box_d2EYFP_term,
				b => MS2box_d2EYFP_CELL				);
E_TtgA1_synth : entity TtgA1_synth(conservative)				port map(
				Act_term => Act_term,
				Phloretin_term => Phloretin_term,
				Prot_term => TtgA1_term);
E_TtgA1_capacitor : entity TtgA1_capacitor(conservative)				port map(
				a => TtgA1_term,
				b => TtgA1_CELL				);
 

  -- Signal Variations
	CAct == 1.0;
	CRep == 0.0;
	
	Cd2EYFP == CCDbox_d2EYFP+CMS2box_d2EYFP;
	
	break on s_Erythromycin;
	if s_Erythromycin='1' use
	        CErythromycin == 1.0;
	else
	        CErythromycin == 0.0;
	end use;
	
	break on s_Phloretin;
	if s_Phloretin='1' use
	        CPhloretin == 1.0;
	else
	        CPhloretin == 0.0;
	end use;
	
	
	
	s_Erythromycin <= '0',
	'1' after 100 sec,
	'0' after 200 sec,
	'1' after 700 sec;
	s_Phloretin <= '0',
	'1' after 400 sec,
	'0' after 500 sec,
	'1' after 700 sec;
	
END ARCHITECTURE;

