---------------------------
--   Resistor variable   --
---------------------------

library ieee;
use ieee.math_real.all,ieee.std_logic_1164.all;
use work.biological_systems.all;
use work.all;

entity rescomp_CDbox_MS2box_DsRed is
	generic (coef : real);
	port (terminal a, b : CDbox_MS2box_DsRed
		  ;
		  terminal Comp_L7Ae : L7Ae;
		  terminal Comp_MS2 : MS2); 
end rescomp_CDbox_MS2box_DsRed;


architecture conservative of rescomp_CDbox_MS2box_DsRed is

	constant Kxa : real := 0.5;
	constant ktr : real := 0.1;
	constant na : real := 2.0;
	
	quantity kdegr : real;

	
quantity Ccomp_L7Ae across Comp_L7Ae to L7Ae_cell;
quantity Ccomp_MS2 across Comp_MS2 to MS2_cell;
	quantity Cres across Fres through a to b;

begin

	kdegr == ktr/((1.0+(Kxa/(Ccomp_L7Ae+Ccomp_MS2+0.000000000000000001))**na));

	Cres == Fres*(1.0/(coef * (kdegr+1.0e-12)));
	
end conservative;

