---------------------------
--   Resistor variable   --
---------------------------

library ieee;
use ieee.math_real.all,ieee.std_logic_1164.all;
use work.biological_systems.all;
use work.all;

entity rescomp_L7Ae is
	generic (coef : real);
	port (terminal a, b : L7Ae
		  ;
		  terminal Comp_CDbox_d2EYFP : CDbox_d2EYFP); 
end rescomp_L7Ae;


architecture conservative of rescomp_L7Ae is

	constant Kxa : real := 0.5;
	constant ktr : real := 0.1;
	constant na : real := 2.0;
	
	quantity kdegr : real;

	
quantity Ccomp_CDbox_d2EYFP across Comp_CDbox_d2EYFP to CDbox_d2EYFP_cell;
	quantity Cres across Fres through a to b;

begin

	kdegr == ktr/((1.0+(Kxa/(Ccomp_CDbox_d2EYFP+0.000000000000000001))**na));

	Cres == Fres*(1.0/(coef * (kdegr+1.0e-12)));
	
end conservative;

