---------------------------
--   Resistor variable   --
---------------------------

library ieee;
use ieee.math_real.all,ieee.std_logic_1164.all;
use work.biological_systems.all;
use work.all;

entity rescomp_L7Ae_2 is
	generic (coef : real);
	port (terminal a, b : L7Ae;
		  terminal Comp_CDbox_MS2box_DsRed : CDbox_MS2box_DsRed;
		  terminal Comp_MS2 : MS2); 
end rescomp_L7Ae_2;


architecture conservative of rescomp_L7Ae_2 is

	constant Kxa : real := 0.5;
	constant ktr : real := 0.1;
	constant na : real := 2.0;
	
	quantity kdegr : real;

	
	quantity Ccomp_CDbox_MS2box_DsRed across Comp_CDbox_MS2box_DsRed to CDbox_MS2box_DsRed_cell;
	quantity Ccomp_MS2 across Comp_MS2 to MS2_cell;
	quantity Cres across Fres through a to b;

begin

	kdegr == ktr/((1.0+(Kxa/(Ccomp_CDbox_MS2box_DsRed+Ccomp_MS2+0.000000000000000001))**na));

	Cres == Fres*(1.0/(coef * (kdegr+1.0e-12)));
	
end conservative;

