library IEEE;
    use IEEE.FUNDAMENTAL_CONSTANTS.all;

package BIOLOGICAL_SYSTEMS is
   -- type declarations

   -- subtype declarations
   subtype CONCENTRATION     is REAL tolerance "DEFAULT_CONCENTRATION";
   subtype FLUX     is REAL tolerance "DEFAULT_FLUX";

   -- nature declarations

   nature BIOLOGICAL is
      CONCENTRATION        across
      FLUX        through
      BIOLOGICAL_REF reference;

      nature Act is
      CONCENTRATION        across
      FLUX        through
      Act_REF reference;

   nature Rep is
      CONCENTRATION        across
      FLUX        through
      Rep_REF reference;

   nature CDbox_MS2box_DsRed is
      CONCENTRATION        across
      FLUX        through
      CDbox_MS2box_DsRed_REF reference;

   nature CDbox_MS2box_DsRed_arnm is
      CONCENTRATION        across
      FLUX        through
      CDbox_MS2box_DsRed_ARNM_REF reference;

   nature TtgA1 is
      CONCENTRATION        across
      FLUX        through
      TtgA1_REF reference;

   nature TtgA1_arnm is
      CONCENTRATION        across
      FLUX        through
      TtgA1_ARNM_REF reference;

   nature CDbox_d2EYFP is
      CONCENTRATION        across
      FLUX        through
      CDbox_d2EYFP_REF reference;

   nature CDbox_d2EYFP_arnm is
      CONCENTRATION        across
      FLUX        through
      CDbox_d2EYFP_ARNM_REF reference;

   nature L7Ae is
      CONCENTRATION        across
      FLUX        through
      L7Ae_REF reference;

   nature L7Ae_arnm is
      CONCENTRATION        across
      FLUX        through
      L7Ae_ARNM_REF reference;

   nature MS2 is
      CONCENTRATION        across
      FLUX        through
      MS2_REF reference;

   nature MS2_arnm is
      CONCENTRATION        across
      FLUX        through
      MS2_ARNM_REF reference;

   nature DsRed_MS2_L7Ae is
      CONCENTRATION        across
      FLUX        through
      DsRed_MS2_L7Ae_REF reference;

   nature Erythromycin is
      CONCENTRATION        across
      FLUX        through
      Erythromycin_REF reference;

   nature ET1 is
      CONCENTRATION        across
      FLUX        through
      ET1_REF reference;

   nature ET1_arnm is
      CONCENTRATION        across
      FLUX        through
      ET1_ARNM_REF reference;

   nature MS2box_d2EYFP is
      CONCENTRATION        across
      FLUX        through
      MS2box_d2EYFP_REF reference;

   nature MS2box_d2EYFP_arnm is
      CONCENTRATION        across
      FLUX        through
      MS2box_d2EYFP_ARNM_REF reference;

   nature Phloretin is
      CONCENTRATION        across
      FLUX        through
      Phloretin_REF reference;

   nature d2EYFP_L7Ae is
      CONCENTRATION        across
      FLUX        through
      d2EYFP_L7Ae_REF reference;

   nature d2EYFP_MS2 is
      CONCENTRATION        across
      FLUX        through
      d2EYFP_MS2_REF reference;


	  
   attribute UNIT of CONCENTRATION       : subtype is "Concentration";
   attribute UNIT of FLUX     		     : subtype is "Protein";
   
   attribute SYMBOL of CONCENTRATION     : subtype is "C";
   attribute SYMBOL of FLUX     		 : subtype is "P";

   alias CELL is BIOLOGICAL_REF;
   
      alias Act_CELL is Act_REF;
   alias Rep_CELL is Rep_REF;
   alias CDbox_MS2box_DsRed_CELL is CDbox_MS2box_DsRed_REF;
   alias CDbox_MS2box_DsRed_ARNM_CELL is CDbox_MS2box_DsRed_ARNM_REF;
   alias TtgA1_CELL is TtgA1_REF;
   alias TtgA1_ARNM_CELL is TtgA1_ARNM_REF;
   alias CDbox_d2EYFP_CELL is CDbox_d2EYFP_REF;
   alias CDbox_d2EYFP_ARNM_CELL is CDbox_d2EYFP_ARNM_REF;
   alias L7Ae_CELL is L7Ae_REF;
   alias L7Ae_ARNM_CELL is L7Ae_ARNM_REF;
   alias MS2_CELL is MS2_REF;
   alias MS2_ARNM_CELL is MS2_ARNM_REF;
   alias DsRed_MS2_L7Ae_CELL is DsRed_MS2_L7Ae_REF;
   alias Erythromycin_CELL is Erythromycin_REF;
   alias ET1_CELL is ET1_REF;
   alias ET1_ARNM_CELL is ET1_ARNM_REF;
   alias MS2box_d2EYFP_CELL is MS2box_d2EYFP_REF;
   alias MS2box_d2EYFP_ARNM_CELL is MS2box_d2EYFP_ARNM_REF;
   alias Phloretin_CELL is Phloretin_REF;
   alias d2EYFP_L7Ae_CELL is d2EYFP_L7Ae_REF;
   alias d2EYFP_MS2_CELL is d2EYFP_MS2_REF;

   
end package BIOLOGICAL_SYSTEMS;

